Create a new DR group in a MetroCluster IP configuration
Creates a new disaster recovery (DR) group within a MetroCluster IP configuration, which is essential for managing failover and recovery between clusters. This setup is typically used to ensure high availability and disaster recovery capabilities.
HTTP method and endpoint
POST /cluster/metrocluster/dr-groups
Introduced in
ONTAP 9.8
Usage notes
Creates a new DR group in the MetroCluster over IP configuration.
Required properties
-
partner_cluster.name -
dr_pairs
Recommended optional properties
-
mccip_ports
Learn more
Related ONTAP commands
-
metrocluster configuration-settings dr-group create
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
return_timeout |
integer |
query |
False |
The number of seconds to allow the call to execute before returning. When doing a POST, PATCH, or DELETE operation on a single record, the default is 0 seconds. This means that if an asynchronous operation is started, the server immediately returns HTTP code 202 (Accepted) along with a link to the job. If a non-zero value is specified for POST, PATCH, or DELETE operations, ONTAP waits that length of time to see if the job completes so it can return something other than 202.
|
return_records |
boolean |
query |
False |
The default is false. If set to true, the records are returned.
|
Request Body
| Name | Type | Description |
|---|---|---|
dr_pairs |
array[dr_pair] |
|
id |
integer |
DR Group ID |
mccip_ports |
array[mccip_ports] |
List of Port specifications. |
partner_cluster |
Partner cluster information. |
Example request
{
"dr_pairs": [
{
"node": {
"name": "node1",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
},
"partner": {
"name": "node1",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
}
}
],
"id": 0,
"mccip_ports": [
{
"l3_config": {
"ipv4_interface": {
"address": "10.10.10.7",
"gateway": "10.1.1.1",
"netmask": "24"
}
},
"name": "e1b",
"node": {
"name": "node1",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
},
"uuid": "string",
"vlan_id": 200
}
],
"partner_cluster": {
"name": "cluster1",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
}
}
Response
Status: 202, Accepted
| Name | Type | Description |
|---|---|---|
job |
Example response
{
"job": {
"uuid": "string"
}
}
Headers
| Name | Description | Type |
|---|---|---|
Location |
Useful for tracking the resource location |
string |
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
2425734 |
An internal error occurred. Wait a few minutes, and try the operation again. For further assistance, contact technical support. |
2432833 |
Operation is already running. |
2432836 |
There are not enough disks in Pool1. Wait a few minutes, and try the operation again. For further assistance, contact technical support. |
2432840 |
Configuring DR Groups |
2432841 |
Generating IP addresses |
2432844 |
Checking remote storage pool |
2432845 |
Mirroring aggregates |
2432846 |
Configuring MetroCluster and DR mirroring |
2432857 |
Adding new MetroCluster DR Group |
2432858 |
MetroCluster DR Group setup done |
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
self_link
_links
node
Local node of the DR Group.
| Name | Type | Description |
|---|---|---|
_links |
||
name |
string |
|
uuid |
string |
partner
Partner node of the DR Group.
| Name | Type | Description |
|---|---|---|
_links |
||
name |
string |
|
uuid |
string |
dr_pair
| Name | Type | Description |
|---|---|---|
node |
Local node of the DR Group. |
|
partner |
Partner node of the DR Group. |
ipv4_interface
Object to setup an interface along with its default router.
| Name | Type | Description |
|---|---|---|
address |
string |
IPv4 or IPv6 address |
gateway |
string |
The IPv4 or IPv6 address of the default router. |
netmask |
string |
Input as netmask length (16) or IPv4 mask (255.255.0.0). For IPv6, the default value is 64 with a valid range of 1 to 127. Output is always netmask length. |
l3_config
| Name | Type | Description |
|---|---|---|
ipv4_interface |
Object to setup an interface along with its default router. |
node
Node information
| Name | Type | Description |
|---|---|---|
name |
string |
|
uuid |
string |
mccip_ports
Port configuration specification. l3_config information is only needed when configuring a MetroCluster IP for use in a layer 3 network.
| Name | Type | Description |
|---|---|---|
l3_config |
||
name |
string |
Port name |
node |
Node information |
|
uuid |
string |
Port UUID |
vlan_id |
integer |
VLAN ID |
partner_cluster
Partner cluster information.
| Name | Type | Description |
|---|---|---|
name |
string |
|
uuid |
string |
metrocluster_dr_group
DR group information.
| Name | Type | Description |
|---|---|---|
dr_pairs |
array[dr_pair] |
|
id |
integer |
DR Group ID |
mccip_ports |
array[mccip_ports] |
List of Port specifications. |
partner_cluster |
Partner cluster information. |
job_link
| Name | Type | Description |
|---|---|---|
uuid |
string |
The UUID of the asynchronous job that is triggered by a POST, PATCH, or DELETE operation. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |